#ifndef __Nokia5110_h__
#define __Nokia5110_h__ 

/* Special Chars */
#define ARROW_RIGHT	ICON(0)
#define ARROW_LEFT 	ICON(1)
#define ARROW_UP 	ICON(2)
#define ARROW_DOWN 	ICON(3)
#define STOP 		ICON(4)
#define PLAY	 	ICON(5)

/* Function for my special characters */
#define	ICON(x)		'z'+1+x

#define EASY 1
#define MEDIUM 2
#define HARD 3

typedef enum { NONE = 0, UP = 2, DOWN = 3, LEFT = 1, RIGHT = 4} Command;

typedef enum { EMPTY = 0, BODY = 1, BOMB = 2} Block;

void LCD_init( void );
void LCD_clear( void );

void lcd_gotoXY(uint8_t x, uint8_t y);


void LCD_set_XY( unsigned char X, unsigned char Y );

void LCD_write_char( unsigned char c );
void LCD_write_string( unsigned char X, unsigned char Y, char *s );

void LCD_draw_bmp_pixel( unsigned char X, unsigned char Y, unsigned char *map, unsigned char Pix_x, unsigned char Pix_y );
void lcd_str(char str[14], uint8_t len);
#endif // __Nokia5110_h__
